> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prescription details

> This API retrieves comprehensive details of a prescription created by a doctor. It provides a rich set of data encompassing patient history, diagnosis, medications, lab tests, and various other clinical elements. The response includes:



## OpenAPI

````yaml get /dr/v1/prescription/{prescription_id}
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /dr/v1/prescription/{prescription_id}:
    get:
      tags:
        - Prescription API
      summary: Get Prescription details
      description: >-
        This API retrieves comprehensive details of a prescription created by a
        doctor. It provides a rich set of data encompassing patient history,
        diagnosis, medications, lab tests, and various other clinical elements.
        The response includes:
      operationId: GetPrescriptionDetails
      parameters:
        - name: auth
          in: header
          description: Authentication token
          required: true
          style: simple
          schema:
            type: string
          example: '{{auth_token}}'
        - name: prescription_id
          in: path
          description: Prescription ID
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  prescription_id:
                    type: string
                    example: '{{prescription_id}}'
                  doctor_id:
                    type: string
                    example: '171266028552522'
                  partner_doctor_id:
                    type: string
                    example: 1712660285igfewifwe
                  doctor_name:
                    type: string
                    example: Sanjana
                  patient_name:
                    type: string
                    example: Sanjana
                  patient_id:
                    type: string
                    example: '161435344380774'
                  partner_patient_id:
                    type: string
                    example: ghjkf9e
                  appointment_id:
                    type: string
                    example: V-DW-1730717340935-171266028552522-8JR9
                  partner_appointment_id:
                    type: string
                    example: guyfwe8f34ni34o
                  clinic_id:
                    type: string
                    example: 6615195c289dd3001d3c0b31
                  partner_clinic_id:
                    type: string
                    example: 07528934jferiugh
                  prescription_details:
                    type: array
                    items:
                      anyOf:
                        - title: Appointment Details
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - appointment
                              title: Appointment Details
                            follow_up:
                              type: string
                              example: '2024-11-10T18:30:00+00:00'
                            note:
                              type: array
                              items:
                                type: string
                              example: []
                        - title: Condition History
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - condition_history
                              title: Condition History
                            condition:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: '38341003'
                                display:
                                  type: string
                                  example: High blood pressure
                            severity:
                              type: string
                              example: active
                            onset:
                              type: string
                              example: null
                            clinical_status:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: active
                                display:
                                  type: string
                                  example: active
                            verification_status:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: confirmed
                                display:
                                  type: string
                                  example: confirmed
                        - title: Condition
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - condition
                              title: Condition
                            condition:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: '194828000'
                                display:
                                  type: string
                                  example: Angina
                            severity:
                              type: string
                              example: null
                            onset:
                              type: string
                              example: null
                            clinical_status:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: active
                                display:
                                  type: string
                                  example: active
                            verification_status:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: confirmed
                                display:
                                  type: string
                                  example: confirmed
                        - title: Advices
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - advices
                              title: Advices
                            advices:
                              type: string
                              example: >-
                                Need to consider further treatment of AS > TAVR
                                or Surgical AVR
                            status:
                              type: string
                              example: active
                            intent:
                              type: string
                              example: plan
                        - title: Admission Advised
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - admission_advised
                              title: Admission Advised
                            reason:
                              type: string
                              example: Surgery
                            note:
                              type: string
                              example: Bone facture
                        - title: Custom Section
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - custom_section
                            title:
                              type: string
                              example: ''
                            note:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: ''
                                  value:
                                    type: string
                                    example: ''
                              example:
                                - name: ''
                                  value: ''
                        - title: Service Request
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - servicerequest
                              title: Service Request
                            lab_id:
                              type: string
                              example: medanta2958577545
                            status:
                              type: string
                              example: active
                            lab_name:
                              type: string
                              example: ECG
                            note:
                              type: array
                              items:
                                type: string
                              example: []
                        - title: Observation
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - observation
                              title: Observation
                            status:
                              type: string
                              example: final
                            observation:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: '29857009'
                                display:
                                  type: string
                                  example: chest pain
                            severity:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: ''
                                display:
                                  type: string
                                  example: ''
                            category:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: symptom
                                display:
                                  type: string
                                  example: symptom
                            note:
                              type: array
                              items:
                                type: string
                              example: []
                        - title: Vitals
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - vitals
                              title: Vitals
                            status:
                              type: string
                              example: final
                            observation:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: lb-1201285132
                                display:
                                  type: string
                                  example: Pulse rate
                            since:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: datetime
                                start:
                                  type: string
                                  example: '2024-11-04T10:49:00.936000+00:00'
                            severity:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: ''
                                display:
                                  type: string
                                  example: ''
                            category:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: vital-signs
                                display:
                                  type: string
                                  example: Vital Signs
                            valueQuantity:
                              type: object
                              properties:
                                system:
                                  type: string
                                  example: http://eka.care/mdb/technical
                                unit:
                                  type: string
                                  example: /min
                                value:
                                  type: number
                                  example: 45
                            component:
                              type: array
                              items:
                                type: object
                              example: []
                        - title: Lifestyle
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - lifestyle
                              title: Lifestyle
                            status:
                              type: string
                              example: Active
                            observation:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: '3'
                                display:
                                  type: string
                                  example: Alcohol
                            severity:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: status
                                display:
                                  type: string
                                  example: Active
                            category:
                              type: object
                              properties:
                                code:
                                  type: string
                                  example: social-history
                                display:
                                  type: string
                                  example: Social History
                            note:
                              type: array
                              items:
                                type: string
                              example: []
                        - title: Medication Request
                          properties:
                            resource_type:
                              type: string
                              enum:
                                - medicationrequest
                              title: Medication Request
                            drug_id:
                              type: string
                              example: medanta3806727491
                            drug_status:
                              type: string
                              example: active
                            med_name:
                              type: string
                              example: Olmezest 40 Tablet
                            dose:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: du-5550260779
                                value:
                                  type: number
                                  example: 1
                                unit:
                                  type: string
                                  example: tablet
                                custom:
                                  type: string
                                  example: 1.0 tablet
                            additional_instructions:
                              type: array
                              items:
                                type: object
                                properties:
                                  custom:
                                    type: string
                                    example: null
                                  type:
                                    type: string
                                    example: timing
                            duration:
                              type: object
                              properties:
                                unit:
                                  type: string
                                  example: null
                                value:
                                  type: string
                                  example: null
                                custom:
                                  type: string
                                  example: null
                            dosage_instruction:
                              type: object
                              properties:
                                custom:
                                  type: string
                                  example: 1-0-0
                                when:
                                  type: string
                                  example: null
                                period:
                                  type: string
                                  example: null
                                period_unit:
                                  type: string
                                  example: null
                                frequency:
                                  type: string
                                  example: null
                            note:
                              type: string
                              example: null
                    example:
                      - resource_type: appointment
                        follow_up: '2024-11-10T18:30:00+00:00'
                        note: []
                      - resource_type: condition_history
                        condition:
                          code: '38341003'
                          display: High blood pressure
                        note: []
                        severity: null
                        onset: null
                        clinical_status:
                          code: active
                          display: active
                        verification_status:
                          code: confirmed
                          display: confirmed
                      - resource_type: condition
                        condition:
                          code: '194828000'
                          display: Angina
                        note: []
                        severity: null
                        onset: null
                        clinical_status:
                          code: active
                          display: active
                        verification_status:
                          code: confirmed
                          display: confirmed
                      - resource_type: advices
                        advices: >-
                          Need to consider further treatment of AS > TAVR or
                          Surgical AVR
                        status: active
                        intent: plan
                      - resource_type: inpatient_encounter
                        status: planned
                        notes: Bone facture
                      - resource_type: custom_section
                        title: '{custom_title}'
                        note:
                          - name: '{custom_name}'
                            value: '{custom_value}'
                      - resource_type: servicerequest
                        lab_id: medanta2958577545
                        status: active
                        lab_name: ECG
                        note: []
                      - resource_type: observation
                        status: final
                        observation:
                          code: '29857009'
                          display: chest pain
                        since: {}
                        severity:
                          code: ''
                          display: ''
                        category:
                          code: symptom
                          display: symptom
                        note: []
                      - resource_type: vitals
                        status: final
                        observation:
                          code: lb-1201285132
                          display: Pulse rate
                        since:
                          type: datetime
                          start: '2024-11-04T10:49:00.936000+00:00'
                        severity:
                          code: ''
                          display: ''
                        category:
                          code: vital-signs
                          display: Vital Signs
                        note: []
                        valueQuantity:
                          system: http://eka.care/mdb/technical
                          unit: /min
                          value: 45
                        component: []
                      - resource_type: lifestyle
                        status: Active
                        observation:
                          code: '3'
                          display: Alcohol
                        since: {}
                        severity:
                          code: status
                          display: Active
                        category:
                          code: social-history
                          display: Social History
                        note: []
                      - resource_type: medicationrequest
                        partner_drug_id: medanta3806727491
                        drug_status: active
                        med_name: Olmezest 40 Tablet
                        snomed_id: '1234567'
                        dose:
                          id: du-5550260779
                          value: 1
                          unit: tablet
                          custom: 1.0 tablet
                        additional_instructions:
                          - custom: After Meal
                            type: timing
                        duration:
                          unit: wk
                          value: 2
                          custom: 2 wk
                          period: '1'
                          period_unit: d
                          frequency: 2
                        dosage_instruction:
                          custom: 1-0-1
                          when:
                            - MORN
                            - NIGHT
                          period: '1'
                          period_unit: d
                          frequency: 2
                        note: Take with water
                        dispense_quantity:
                          value: 28
                          unit: tablet
        '403':
          description: Forbidden
        '404':
          description: Rx id/Business data missing
        '500':
          description: Wrong API URL/Wrong JSON request/ Something went wrong

````